Skip site navigation (1) Skip section navigation (2)

pgAdmin3.app library problem

From: Jyrki Wahlstedt <jyrki(dot)wahlstedt(at)hut(dot)fi>
To: pgadmin-hackers <pgadmin-hackers(at)postgresql(dot)org>
Subject: pgAdmin3.app library problem
Date: 2005-05-20 12:11:12
Message-ID: 733315CE-B843-4D3D-8D94-4C02594D40AF@hut.fi (view raw or flat)
Thread:
Lists: pgadmin-hackers
Hi,
I built pgAdmin3 checked out by svn today on OS X 10.4.1 with  
wxWidgets from DarwinPorts (wxWidgets 2.6.0, Revision 1, graphics/ 
wxWidgets). The build went without problems (used --enable-appbundle  
--enable-static), but when launched, the program quit with the  
following (though due to no label a bit suspect, but the version  
number tells enough):
Fatal Error: Mismatch between the program and library build versions  
detected.
The library used 2.6 (no debug,Unicode,compiler with C++ ABI 102,wx  
containers,compatible with 2.4),
and your program used 2.6 (no debug,Unicode,compiler with C++ ABI  
1002,wx containers,compatible with 2.4).

The only mismatch I see is that 102 differs from 1002. Now I don't  
know enough to tell, which one is correct, whom to tell &c.

with regards,
!
! Jyrki Wahlstedt
! Tinatie 3 A 2            mob. +358-40-502 0164
! FI-00440 Helsinki
!
! Our life is no dream; but it ought to become one and perhaps will.
! PGP key ID: 0x139CC386 fingerprint: F355 B46F 026C B8C1 89C0  A780  
6366 EFD9 139C C386



Responses

pgadmin-hackers by date

Next:From: Florian G. PflugDate: 2005-05-20 13:02:01
Subject: Re: pgAdmin3.app library problem
Previous:From: svnDate: 2005-05-20 11:25:24
Subject: SVN Commit by dpage: r4226 - trunk/pgadmin3/xtra/pgagent

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group